--- ./bgpd/mrt.c.dist	Wed Jan 10 08:56:48 2007
+++ ./bgpd/mrt.c	Tue Jan  9 09:59:47 2007
@@ -114,8 +114,8 @@
 		return (-1);
 	}
 
-	DUMP_SHORT(buf, bgp->as);
-	DUMP_SHORT(buf, peer->conf.remote_as);
+	DUMP_LONG(buf, bgp->as);
+	DUMP_LONG(buf, peer->conf.remote_as);
 	DUMP_SHORT(buf, /* ifindex */ 0);
 	switch (peer->sa_local.ss_family) {
 	case AF_INET:
@@ -181,8 +181,8 @@
 		return (-1);
 	}
 
-	DUMP_SHORT(buf, bgp->as);
-	DUMP_SHORT(buf, peer->conf.remote_as);
+	DUMP_LONG(buf, bgp->as);
+	DUMP_LONG(buf, peer->conf.remote_as);
 	DUMP_SHORT(buf, /* ifindex */ 0);
 	switch (peer->sa_local.ss_family) {
 	case AF_INET:
@@ -350,8 +350,8 @@
 		return (-1);
 	}
 
-	DUMP_SHORT(buf, rde_local_as());
-	DUMP_SHORT(buf, peer->conf.remote_as);
+	DUMP_LONG(buf, rde_local_as());
+	DUMP_LONG(buf, peer->conf.remote_as);
 	DUMP_SHORT(buf, /* ifindex */ 0);
 
 	switch (af) {
